Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.webservice.encoding
Class DataHandlerCodec

    java.lang.Object
      weblogic.webservice.encoding.AbstractCodec
          weblogic.webservice.encoding.AttachmentCodec
              weblogic.webservice.encoding.DataHandlerCodec

All Implemented Interfaces:
  Deserializer, Deserializer, DeserializerFactory, Serializable, Serializer, Serializer, SerializerFactory

Deprecated. please migrate to jws for webservices

public class DataHandlerCodec
extends AttachmentCodec

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`DataHandlerCodec()` Deprecated.

Method Summary
`protected Object` | `deserialize(XMLName name, SOAPMessage message, weblogic.xml.schema.binding.DeserializationContext context)` Deprecated.
`protected Object` | `deserializeContent(Object input)` Deprecated.
`protected String` | `getContentType()` Deprecated.
`protected void` | `serialize(Object input, XMLName name, SOAPMessage message, weblogic.xml.schema.binding.SerializationContext context)` Deprecated.
`protected Object` | `serializeContent(Object input)` Deprecated.

Methods inherited from class weblogic.webservice.encoding.AttachmentCodec
`addBodyElement, deserialize, deserialize, getAttachmentPart, serialize`

Methods inherited from class weblogic.webservice.encoding.AbstractCodec
`getDeserializerAs, getMechanismType, getSerializerAs, getSupportedMechanismTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataHandlerCodec

    public DataHandlerCodec()

  Deprecated.

Method Detail

### deserialize

    protected Object deserialize(XMLName name,
                                 SOAPMessage message,
                                 weblogic.xml.schema.binding.DeserializationContext context)
                          throws JAXRPCException

  Deprecated.
  Overrides:
    `deserialize` in class `AttachmentCodec`
  Throws:
    `JAXRPCException`

### deserializeContent

    protected Object deserializeContent(Object input)

  Deprecated.
  Specified by:
    `deserializeContent` in class `AttachmentCodec`

### getContentType

    protected String getContentType()

  Deprecated.
  Specified by:
    `getContentType` in class `AttachmentCodec`

### serialize

    protected void serialize(Object input,
                             XMLName name,
                             SOAPMessage message,
                             weblogic.xml.schema.binding.SerializationContext context)
                      throws SOAPFaultException

  Deprecated.
  Overrides:
    `serialize` in class `AttachmentCodec`
  Throws:
    `SOAPFaultException`

### serializeContent

    protected Object serializeContent(Object input)

  Deprecated.
  Specified by:
    `serializeContent` in class `AttachmentCodec`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD